<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.generic.label.information.singular'"
  [dialogId]="'conflict-association-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="info-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#1890FF'"
      ></i>
      <div class="flex-column">
        <span>{{
          'sqtm-core.automation-workspace.dialog.message.script-conflict-array'
            | translate
        }}</span>
        <ul>
          @for (conflict of conflictAssociation; track conflict) {
            <li>{{ conflict }}</li>
          }
        </ul>
        <span>{{
          'sqtm-core.automation-workspace.dialog.message.script-conflict-info'
            | translate
        }}</span>
      </div>
    </div>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
